const { Level } = require('level');

const dataDir = process.env.DATA_DIR || 'data';

module.exports = {
  forum: new Level(`${dataDir}/forum`, { valueEncoding: 'json' }),
  authorAddresses: new Level(`${dataDir}/authorAddresses`, { valueEncoding: 'utf8' }),
  authorPrivKeys: new Level(`${dataDir}/authorPrivKeys`, { valueEncoding: 'utf8' }),
};
